/**
 * Contains the names of all links within this package.
 *
 * @example
```ts
const notifyTypeLinkId = await deep.id(
   PACKAGE_NAME,
   LinkName[LinkName.Notify]
)
```
 */
export var LinkName;
(function (LinkName) {
    LinkName[LinkName["DeviceRegistrationToken"] = 0] = "DeviceRegistrationToken";
    LinkName[LinkName["PushNotification"] = 1] = "PushNotification";
    LinkName[LinkName["PushNotificationBody"] = 2] = "PushNotificationBody";
    LinkName[LinkName["PushNotificationImageUrl"] = 3] = "PushNotificationImageUrl";
    LinkName[LinkName["PushNotificationIconUrl"] = 4] = "PushNotificationIconUrl";
    LinkName[LinkName["PushNotificationTitle"] = 5] = "PushNotificationTitle";
    LinkName[LinkName["ServiceAccount"] = 6] = "ServiceAccount";
    LinkName[LinkName["UsesServiceAccount"] = 7] = "UsesServiceAccount";
    LinkName[LinkName["WebPushCertificate"] = 8] = "WebPushCertificate";
    LinkName[LinkName["UsesWebPushCertificate"] = 9] = "UsesWebPushCertificate";
    LinkName[LinkName["PushNotificationTree"] = 10] = "PushNotificationTree";
})(LinkName || (LinkName = {}));
